Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 09 Feb 2023 09:14:51 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi I had raised an issue  few days back customer service case no.# 5674187 to  which I was duly replied but unfortunately the mail was in my spam and I just checked it yesterday morning and replied back. But I have not got any response till now so I'm thinking that the case has been automatically  shut.
The problem is regarding 2 pairs of rings  order no. # 9412864207 which I purchased from splash online  and I can see that they don't fit and they are still in their original packaging. I haven't touched it . I tried to return it online but it does not give an option . Called customer service and they said it cannot be returned. I would request you to atleast consider exchange of the item from any splash store for something  that atleast fits. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5687084